DESTROYBDD(3)

NAME
destroyBdd - removes the BDDs system

SYNOPSYS
#include "logmmm.h"
void destroyBdd(level)

PARAMETER

level
    desallocate level

DESCRIPTION
destroyBdd() removes the BDDs system. This function can be called only after the initializeBdd() function. if level = 0 the nodes are saved and it's possible to go through the BDD for treatements that don't modify the BDD (simulation for example).

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
initializeBdd(MEDIUM_BDD);
/* application using BDD ... */
destroyBdd(1);

SEE ALSO
log(1), bdd(1), initializeBdd(3), gcNodeBdd(3), markAllBdd(3), numberNodeAllBdd(3), resetBdd(3).